import express from 'express';
import { authenticate } from '../middleware/authMiddleware.js';
import { getClubs, addClub, getClub, requestClubAccess } from '../controllers/clubsController.js';

const router = express.Router();

router.get('/', authenticate, getClubs);
router.post('/', authenticate, addClub);
router.get('/:clubid', authenticate, getClub);
router.get('/request/:clubid', authenticate, requestClubAccess);

export default router;